REST API to upload exact data matching fingerprint file

Prev Next

Use this REST API call to upload exact data matching (EDM) fingerprint file required to execute the EDM functionality.

POST request URL

https://<epo_server_name:port>/rest/dlp/classification/EDM/uploadExactDataFingerprint?description={description}&override={override}

Where

  • epo_server_name:port is the server IP address and port number.

  • description description of the file.

  • override specify a boolean value to replace the file if it already exists.

Request Parameters

Parameter name

Description

Required

Values

Authorization

User credentials for ePO - On-prem.

Required

Form Parameters (form-data)

Parameter name

Description

Required

Values

file

Specified exact data matching file (multipart/form-data)

Required

File



Sample POST request URL

https://172.27.108.53:8443/rest/dlp/classification/EDM/uploadExactDataFingerprint?description=testDescription&override=false

Sample cURL command

curl -k -X POST -F file=@\"C:/Users/user_name/Downloads/edm_old.csv\" "https://172.27.108.53:8443/rest/dlp/classification/EDM/uploadExactDataFingerprint?description=testDescription&override=true" -u "<user>:<password>"

Sample response

Success

Status and error codes

List of HTTP status codes returned for the query.

Code

Description

200 OK

Returns a successful message.

400 Bad Request

Override value is invalid.

409 Conflict

Override is false and the file exists with the same file name.

404 Not Found

Incorrect ePO - On-prem URL.

500 Internal Server Error

An error on the server side that failed the request. See the ePO - On-prem orion.log file for more details about the error.